//
//  ItemPeopleView.swift
//  Jel
//
//  Created by zerocool on 1/8/24.
//

import SwiftUI
import JellyfinKit
import NukeUI

struct ItemPeopleView: View {
  
  var item: BaseItemDto
  
  var body: some View {
    VStack(alignment: .leading) {
      Text("Cast and Crew")
        .font(.title2)
        .padding(.leading)
      
      ScrollView(.horizontal) {
        LazyHStack(alignment: .top) {
          ForEach(item.people ?? [], id: \.iterId) {person in
            ItemPersonIconView(person: person)
          }
        }
        .padding(.horizontal)
      }
      .scrollIndicators(.hidden)
    }
  }
}

//#Preview {
//    ItemPeopleView()
//}
